
Foreman - Refactor #11059

Delete lib/regexp_extensions.rb

07/09/2015 03:55 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: Rails   

Target version: 1.11.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3201,

https://github.com/theforeman/foreman/p

ull/2871

  

Description

lib/regexp_extensions.rb is obsolete, it was put in for ruby_parser 2.x, but for some time now we've been on ruby_parser 3.x.  It can

be deleted and not loaded from Gemfile.

Related issues:

Related to Foreman - Bug #2217: Successfull run of reports:expire produces wa... Closed 02/18/2013

Associated revisions

Revision 87fdf908 - 02/18/2016 07:27 AM - Tom Caspy

fixes #11059 - removing unused regexp_extensions file

History

#1 - 07/09/2015 03:55 AM - Dominic Cleal

- Related to Bug #2217: Successfull run of reports:expire produces warnings added

#2 - 10/27/2015 04:52 PM - Tomer Brisker

- Assignee set to Khushbu parakh

#3 - 10/29/2015 10:00 AM - Khushbu parakh

- % Done changed from 0 to 80

#4 - 02/17/2016 10:43 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3201 added

#5 - 02/17/2016 10:46 AM - Dominic Cleal

- Pull request https://github.com/theforeman/foreman/pull/2871 added

#6 - 02/18/2016 08:01 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 80 to 100

Applied in changeset 87fdf90887a9dc87f994dd2a0194c0d815f12712.

#7 - 02/18/2016 08:02 AM - Dominic Cleal

- Assignee changed from Khushbu parakh to Tom Caspy

- translation missing: en.field_release set to 71
